--[[ 

Modify plug-in that uses purchaseprint to have a condensed UI/HUD compatible color coded message format.

May 2014

Plug-ins that make use of purchaseprint will if Condensed UI or HUD are selected on mobile Vendetta Online client
display messages in a dialog box that not only interrupts game play by fading out the screen, but many times will
require user input to close mentioned dialog box further hampering the player experience on mobile. With this info
a simple modification may be applied to eliminate purchaseprint while maintaining a visually unique format to the
message display functions of any plug-in. 

How To:

Copy this file to the plug-in folder, save as cuic.lua.

Copy the following line to the main.lua file between declared namespace and first function entry.

dofile ('cuic.lua')

name or NAME == Plug-in declared namespace main.lua file.

format == Unique identifier for message format.

Add or change formats to suite the message display needs.

Add or change colors use hex color codes '\127RRGGBB' format.

Replace purchaseprint in plug-in with name.format.

]]

-- START CUIC DATA

navcomp.colors = {}
navcomp.colors.WHITE = '\127DDDDDD'
navcomp.colors.RED = '\127FF0000'
navcomp.colors.YELLOW = '\127FFFF00'
navcomp.colors.ORANGE = '\127AAAA00'
navcomp.colors.CYAN = '\12700BFFF'
navcomp.colors.INDIAN_RED = '\127CD5C5C'

function navcomp.pinfo(str)
    print(navcomp.colors.YELLOW .. '[NavComp] ' .. navcomp.colors.WHITE .. '' ..tostring(str))
end

function navcomp.pinfo2(str)
    print(navcomp.colors.YELLOW .. '[NavComp] ' .. navcomp.colors.CYAN .. '' ..tostring(str))
end

function navcomp.perror(str)
    print(navcomp.colors.YELLOW .. '[NavComp] ' .. navcomp.colors.RED .. 'ERROR! ' .. navcomp.colors.WHITE .. '' ..tostring(str))
end

function navcomp.pwarning(str)
    print(navcomp.colors.YELLOW .. '[NavComp] ' .. navcomp.colors.ORANGE .. 'WARNING! ' .. navcomp.colors.WHITE .. '' ..tostring(str))
end

-- END CUIC DATA